%define upstream_name UPS-Nut
%define upstream_version 0.04

%{?perl_default_filter}

Name:    perl-%{upstream_name}
Version: %perl_convert_version %{upstream_version}
Release: %mkrel 7
License: GPL or Artistic
Group:   Monitoring
Summary: A  perl module to talk to a UPS via NUT upsd
URL:     https://metacpan.org/release/%{upstream_name}
Source:  %{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires: perl-devel
BuildArch: noarch


%description
This is an object-oriented interface between Perl and upsd (Network UPS
Tools package).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build 

%install
%make_install

%files
%doc Changes LICENSE README
%{_mandir}/*/*
%{perl_vendorlib}/UPS/Nut.pm


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-7.mga10
+ Revision: 2201252
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-6.mga9
+ Revision: 1806549
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-5.mga8
+ Revision: 1497975
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-4.mga7
+ Revision: 1272413
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1035579
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 943342
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.04-10.mga5
+ Revision: 741819
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.04-9.mga5
+ Revision: 686763
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.04-8.mga4
+ Revision: 515832
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.04-7.mga3
+ Revision: 374539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.04-6.mga1
+ Revision: 31406
- mageia rebuild
- imported package perl-UPS-Nut

